Package Details: lib32-gstreamer0.10-base 0.10.36-7

Git Clone URL: (read-only)
Package Base: lib32-gstreamer0.10-base
Description: GStreamer Multimedia Framework Base plugin libraries
Upstream URL:
Licenses: LGPL
Submitter: alucryd
Maintainer: alucryd
Last Packager: alucryd
Votes: 23
Popularity: 0.181819
First Submitted: 2014-09-22 09:13
Last Updated: 2015-06-09 12:23

Latest Comments

alucryd commented on 2014-12-16 07:55

--disable-examples does not, --disable-introspection does. Added it, I just hope nothing needed those .gir...

padfoot commented on 2014-12-16 06:36

I hope these packages get working again. While they may not be required for anything in the official repositories, there are games from steam, humble bundle etc that do require these libraries.

Currently I have held pacman on the last versions I had installed from multilib so I can still play my games.

mhspace commented on 2014-12-09 19:07

--disable-examples fixes build issues

mhspace commented on 2014-12-09 19:07

--disable-examples fixes build issues

Eachna commented on 2014-11-11 03:50

Three points just as a FYI...

1) This particular package is missing a pre-built binary. The binaries linked below are (useful) dependencies, not this package.

2) alucryd's unofficial repo mentioned below doesn't have PGP keys for some (all?) of the lib32 binaries, including this one (lib32-gstreamer0.10-base).

GordonGR commented on 2014-11-05 11:55

I understand. Unfortunately the issue will not be resolved soon, so pre-built binaries are necessary. For example:

At least the good-bad-ugly plugins still build.

As for the packages, I'm keeping up, but feel free to adopt any you like in general. No ego here :)

alucryd commented on 2014-11-05 11:30

GordonGR; Anytime :)

The reason why I demoted it to AUR is because we thought it was time we let gstreamer0.10 die, and the only multilib package that depended on it was lib32-wxgtk2.8, from which I removed gst support because pcsx2 doesn't need it. It's not that easy for the regular gstreamer0.10 unfortunately, a few popular packages still depend on it, and a lot more indirectly via wxgtk{,2.8}.

I wasn't expecting to get so many complaints about it not building outside of a chroot either, and as some users can now tell, patience is not exactly one of my virtues :P So, pre-built packages are back.

I'll take you on your offer and adopt lib32-gtk3 then. BTW, packages on that repo are automatically built every night at midnight CET if I pushed an updated PKGBUILD on my Github repo anytime before then, so updates are usually quick.

GordonGR commented on 2014-11-05 11:12

Thank you, alucryd. Though I must admit I fail to see why you took the packages off [multilib] if you were to put them in your own repository… but that's none of my business.

PS: I notice you have in your repository lib32-gtk3, which I maintain in AUR. Feel free to take it over there too if you wish.

Again, thanks for the compiled packages.

alucryd commented on 2014-11-05 09:31

I'm not exactly keen on wasting resources for this, but still, I've included them in my multilib repo:

GordonGR commented on 2014-11-04 14:22

I can't build it either. Error log here:

I haven't tried chroot yet.

My piece of input is that I have an Intel card, so I'm using lib32-mesa-libgl 10.3.2-1.

I understand gstreamer 0.10 is ancient, but I understand second life viewers still use it, hence the need for it to remain…

PS: Bason, thank you for the binaries. Do you think you can upload the -plugins package too?

All comments